> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/customization/get-banner/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Get banner GET https://example.itential.io/customization/banner Returns banner for customization. Reference: https://docs.itential.com/itential-cloud/api-reference/customization/get-banner ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Response ### 200 The banner object from the database - `result` (object, optional) — The root schema comprises the entire JSON document. - `active` (boolean, required) — A flag indicating if the banner will be displayed to users - `text` (string, required) — Text in the banner when displayed - `dismissible` (boolean, required) — A flag indicating if a banner should be dismissible by users - `startTime` (string, required) — An ISO Timestring value indicating when the banner will show - `allPages` (boolean, required) — A flag indicating if the banner should show on all pages or only the IAP home page - `_id` (string, optional) — String representation of a MongoDB ObjectId - `backgroundColor` (string, optional) — The background color for the banner displayed - `endTime` (string, optional) — A, ISO Timestring value indicating when the banner will no longer show - `image` (string, optional) — A base64 image string containing the image that will be shown on the banner - `messageLastUpdated` (string, optional) — An ISO Timestring value indicating when the banner message was last updated ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "result": { "active": true, "text": "string", "dismissible": true, "startTime": "2018-08-02T15:56:12.912Z", "allPages": true, "_id": "5cb7b531d06cceb89fd21b1c", "backgroundColor": "#fff", "endTime": "2018-08-02T15:56:12.912Z", "image": "string", "messageLastUpdated": "2018-08-02T15:56:12.912Z" } } ``` **SDK Code** ```python import requests url = "https://example.itential.io/customization/banner" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/customization/banner'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/customization/banner" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/customization/banner") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/customization/banner") .asString(); ``` ```php request('GET', 'https://example.itential.io/customization/banner'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/customization/banner"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/customization/banner")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```